WordPress.org

Ready to get started?Download WordPress

Forums

Widget Logic Visual
[resolved] [closed] Widget Logic Visual not working with 3.5 (28 posts)

  1. iwdspiderwoman
    Member
    Posted 1 year ago #

    I've been using this plugin on a number of my sites and it has worked beautifully until I upgraded to WordPress 3.5. I still continues to work when activated on 3.5 but I am unable to edit anything on Appearance > Widgets including add new, edit existing, delete or change logic for Widget using Widget Logic Visual.

    http://wordpress.org/extend/plugins/widget-logic-visual/

  2. khan.shabnam
    Member
    Posted 1 year ago #

    FIX

    Add following code on line number 58 (in widget_logic_visual_admin_enqueue_script() function)

    wp_register_script('jquery.1.7' ,plugin_dir_url(__FILE__).'js/jquery-1.7.1.min.js');
    
    wp_enqueue_script('jquery.1.7');

    and upload jquery1.7.1.min.js in plugin js folder
    And it works fine for.

  3. bobster234
    Member
    Posted 1 year ago #

    still doesn't allow me to edit the limitations ...

  4. T-I-W
    Member
    Posted 1 year ago #

    I just installed WLV and when I go into the widgets admin, none of the widges dropdown when clicked. I removed WLV and they worked fine. I installed a few other similar widgets to do the same thing some worked and some, sort of worked. I came back to yours because it looks the simplest to use. I hope this is an easy fix.

  5. Miz.Michele
    Member
    Posted 1 year ago #

    Doesn't work for me either. There is a new upgrade but it is a complete new install and it said to back up the widgets first.

    here's what I am int he process of doing. From the widgets page add this /Append ?widgets-access=on to the end of the URL.

    You can add widgets but I want my sites to work properly so I am going to back up all of mine, note which widget appeared on what pages and then work finding something that works.

    Unless anyone has any better, less-work ideas?

  6. iwdspiderwoman
    Member
    Posted 1 year ago #

    Found this on another thread and it worked for me:
    WP3.5 uses jQuery 1.8... and in this version of jQuery it seems that %i% throws an error.

    To fix this open widget_logic.php go to line 132
    and change
    if ($number==-1) {$number="%i%"; $value="";}
    for this
    if ($number==-1) {$number="XXX"; $value="";}

    .... And finally open
    wp-content/plugins/widget-logic-visual/js/jquery.nyromodal.js
    and search and replace this:
    $.curCSS(elm,name,true));
    for this:
    $.css(elm,name,true));

  7. abtkdc
    Member
    Posted 1 year ago #

    Thanks I will give it a try.

  8. Miz.Michele
    Member
    Posted 1 year ago #

    My 2 cents. I have been using widget logic for a long time and was very happy with it. I had the above issues, after the upgrade, and I did fix them partially. I would still have to go into accessibility mode and it still wasn't right and I was having memory issues.

    I've been turning on and off my widget and measuring and widget logic visual was using a lot of memory. Don't know if I did not notice it before or what or if it's my theme but now I was having issues.

    Truthfully I did want to remove widget logic but I did. I used an excel spreadsheet to make note of what widgets I had showing where and I went with display widgets and it works and is using very little memory.

    So if you are having issues that won't correct, you might try it.

  9. abtkdc
    Member
    Posted 1 year ago #

    Thanks Michele,

    That sounds like a good plan. Right now I'm having issue with making a subtheme so i need to get that working first.

  10. copperdesk
    Member
    Posted 1 year ago #

    Thank you very much iwdspiderwoman. Worked perfectly for me.

  11. Tha206
    Member
    Posted 1 year ago #

    YES! Thank you iwdspiderwoman! That fix saved me as well.

  12. danapaige
    Member
    Posted 1 year ago #

    Iwdspiderwoman this was the easiest fix I've ever seen, and it totally worked! Couldn't believe how easy it was. Thanks!

  13. cleanteam
    Member
    Posted 1 year ago #

    I've given iwdspiderwoman's fix a shot and it seems to work for me. (Haven't tested it completely yet, but the formerly 'dead frozen' widgets can be operated again.)

    thanks for the efforts iwdspiderwoman!

  14. nick1900
    Member
    Posted 1 year ago #

    Thanks to iwdspiderwoman this fix worked fine for me as well - I did switch to using Widgets Controller on a few sites when I found out this stopped working (and I sort of prefer the overview compared to Widget Logic Visual).

  15. Halvor
    Member
    Posted 1 year ago #

    iwdspiderwoman : For me, your soluion is a miracle. I do not know PHP, but I'm good at folloring instructions. (Married...lol)

    It works just fine ! Now my site is up to date and everything works great !
    Thank you.

  16. meksone
    Member
    Posted 1 year ago #

    Oh yes!
    I confirm that the solution proposed by iwdspiderwoman works without problems!

    Thanks a lot!

    using WP 3.5.1

  17. primaryimage
    Member
    Posted 1 year ago #

    Thanks Iwdspiderwoman - really saved me a lot of time here! Appreciate you putting in the effort and time to find this solution, and then posting the fix on here. Thank you :)

  18. Grawl
    Member
    Posted 1 year ago #

    Works with 3.5.1.

  19. yazuworks
    Member
    Posted 1 year ago #

    iwdspiderwoman we all owe you big time... great fix!

  20. jkurtley
    Member
    Posted 1 year ago #

    This worked perfectly! Thank you iwdspiderwoman!

  21. patrickd
    Member
    Posted 1 year ago #

    This works ok for me but does kick up a 'headers already sent' message (not ideal). It would be nice if the developer would fix these issues, since so many people use this plugin.

    EDIT: This solution fixed the issue I was having with admin sub-menus and widget drag and drop functionality not working but the plugin will not remember settings or even open when you click the edit limitations button on a widget. No good. I'm going to use the widget logic plugin for nerds ha-ha, Visual is not worth this hassle.

  22. webass
    Member
    Posted 1 year ago #

    Works with 3.5.1 here too. Thank You very much.
    Why not add the fix to a new plugin update?

  23. akivadude
    Member
    Posted 1 year ago #

    I must of missed something what am i supposed to change the line of code too
    To fix this open widget_logic.php go to line 132
    and change
    if ($number==-1) {$number="%i%"; $value="";}
    for this
    ? what I am i supposed to change for this

    Found this on another thread and it worked for me:
    WP3.5 uses jQuery 1.8... and in this version of jQuery it seems that %i% throws an error.

    To fix this open widget_logic.php go to line 132
    and change
    if ($number==-1) {$number="%i%"; $value="";}
    for this
    .... And finally open
    wp-content/plugins/widget-logic-visual/js/jquery.nyromodal.js
    and search and replace this:
    $.curCSS(elm,name,true));
    for this:
    $.css(elm,name,true));

  24. webass
    Member
    Posted 1 year ago #

    @akivadude
    But this is what is written up there already...
    Where was Your problem?

    You have to subsitute %i% with XXX
    and THEN changes in the .js file

  25. Duoosolutions
    Member
    Posted 1 year ago #

    Thanks iwdspiderwoman.

    I had the same problem; I followed whole instructions and now is working :).

  26. cloc562oc
    Member
    Posted 1 year ago #

    Thanks iwdspiderwoman.

    Worked Perfectly on 3.5.2 you are my hero!

  27. taije
    Member
    Posted 1 year ago #

    iwdspiderwoman fix worked for me until I added a new widget. Now I cannot edit limitations on the new widget. The existing ones are still fine...oops - nevermind - I deactivated and reactivated the plug in and it worked. However, when I added another widget I have to de and re activate again.

  28. David Tierney
    Member
    Posted 10 months ago #

    Thanks iwdspiderwoman,

    This worked with WP 3.6.1.

    I did not find the first change on line 132 though, I found it on line 263 - if that helps anyone (just search for it).

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic